# taken from https://gitlab.jsc.fz-juelich.de/esde/toar-public/toarstats/-/blob/master/toarstats/metrics/constants.py#L12-21

ALLOWED_SAMPLING_VALUES = [
    "daily",
    "monthly",
    # "seasonal",
    # "vegseason",
    # "summer",
    # "xsummer",
    "annual",
    # "custom",
]

STATISTICS_LIST = [
    "aot40",
    "avgdma8epax",
    "count",
    "dark_aot40",
    "dark_avg",
    "data_capture",
    "daylight_aot40",
    "daylight_avg",
    "daytime_avg",
    "diurnal_cycle",
    "dma8epa",
    "dma8epa_strict",
    "dma8epax",
    "dma8epax_strict",
    "dma8eu",
    "dma8eu_strict",
    "drmdmax1h",
    "m7_avg",
    "max",
    "max1h",
    "mean",
    "median",
    "min",
    "nighttime_avg",
    "nvgt050",
    "nvgt060",
    "nvgt070",
    "nvgt080",
    "nvgt090",
    "nvgt100",
    "nvgt120",
    "nvgtall",
    "p05",
    "p10",
    "p25",
    "p75",
    "p90",
    "p95",
    "p98",
    "p99",
    "percentiles1",
    "percentiles2",
    "somo10",
    "somo10_strict",
    "somo35",
    "somo35_strict",
    "stddev",
    "w126",
    "w126_24h",
    "w90",
]
